API referenceAdmin applications
Get an application
agw_identity_auth.session_token<token>
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Path Parameters
app*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/admin/apps/string"{ "app": { "revision": 1, "id": "string", "name": "string", "config": { "authentication": { "type": "apple_app_attest", "end_user": { "source": "issuer", "issuer": { "jwks_url": "http://example.com", "issuer": "string", "audience": "string", "user_id_claim": "string", "token_header": "string", "required_claims": [ { "path": "string", "contains": "string", "equals": "string" } ], "max_token_lifetime_seconds": 1, "provider": "firebase", "entitlement": "revenuecat" } }, "app_attest": { "team_id": "string", "bundle_id": "string", "environments": [ "production" ], "verify_on": "every_request" } }, "routing": { "providers": { "mode": "all" }, "model_rewrites": { "property1": "string", "property2": "string" } }, "limits": {}, "endpoints": {} }, "status": "active", "created_at": "string", "updated_at": "string", "warnings": [ { "code": "string", "message": "string", "until": "string", "docs_url": "string" } ] }}Create an application
Create an application (POST /v1/admin/apps) in the App AI Gateway API. Accepts a management key, MCP OAuth token or console session.
Delete an application and its associated operational data
Delete an application and its associated operational data (DELETE /v1/admin/apps/{app}) in the App AI Gateway API.